9101: Update media

9101: Update media

Update a media file in the dialogportal™ Media Archive.

Media file content and description properties are updateable. The fileName and folderPath are used to uniquely identify the media file.

Endpoint ID:

9101

Method:

PUT

URL:

/content/media

Request body:

JSON data with information about the media to be updated.

Required fields:

 

fileName

The media file name.

 

contentType

The content mime-type, i.e. "image/gif" or "text/plain". The contentType should be same as existing file.

Optional fields:

 

folderPath

The folder path of the media file to be updated. This path is not the entire URL (which also contains the customer name, fileName etc.) but simply a "/"-delimited string of folder names. Exclude the folderPath to update a file in the root folder.

Optional updatable fields:

 

content

The content, formatted as a base64 encoded text string.

 

description

A description that will be displayed in dialogportal™

Example: Update a single pixel image
 { "fileName": "clear_1x1.gif", "folderPath": "assets/generic_images/small", "content": "R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==", "description" : "This is a media description.", "contentType": "image/gif" }

Response body:

None

Status codes:

204

Media updated successfully

 

400.1

Content type not recognized

 

400.2

Media files may not be larger than 2MB

 

400.3

Content type mismatch

 

404.4

Media file not found

 

404.5

Folder not found